Project

General

Profile

Bug #8870

Webgui incorrectly reports "The system is on the latest version".

Added by Steve Wheeler 9 months ago. Updated 2 months ago.

Status:
New
Priority:
Normal
Assignee:
-
Category:
Web Interface
Target version:
Start date:
09/03/2018
Due date:
% Done:

0%

Estimated time:
Affected Version:
2.4.x
Affected Architecture:
All

Description

In some circumstances the dashboard can report that the system is on the latest version when in fact the pkg system is unable to connect to the repos.

This falsely implies good connectivity when it should report "Unable to check for updates".

It's not clear exactly when this happens but I have seen it at first boot of a fresh install.

History

#1 Updated by Luke Hamburg 9 months ago

Yep I hit this one a couple of days ago, on whatever snap was latest as of 9/5

pkg goes braindead in some way if there's a connectivity problem via the default route. In my case I was configuring a new SG-3100 for a remote site. I set the WAN interface to the static IP of the remote site so I could ship it out "plug n play" -- but in order to run updates and grab the openvpn export package I programmed opt1 as a temporary DHCP WAN via my mobile hotspot.

Even after making opt1 the default gw, as well as making use of PiBa's new "default gw via gateway group" feature, pkg remained borked and said "you're on the latest version" and was unable to view anything in Package Manager either until a full reboot.

I wish I had more time to play around and figure out why but that day I had to get it out the door...

#2 Updated by Steve Wheeler 3 months ago

  • Target version set to 48

#3 Updated by Jim Pingle 2 months ago

  • Target version changed from 48 to 2.5.0

Also available in: Atom PDF